/*
 * Class EV_GRID_DRAWABLE_ITEM
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1003 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1003 [] = {0xFF01,1551,1002,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1003 [] = {0xFF01,1002,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1003 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1003 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1003 [] = {0xFF01,1002,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1003 [] = {0xFF01,1002,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1003 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1003 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1003 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1003 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1003 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1003 [] = {0xFF01,1002,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1003 [] = {0xFF01,1183,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1003 [] = {0xFF01,1141,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1003 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1003 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1003 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1003 [] = {0xFF01,1183,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1003 [] = {0xFF01,648,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1003 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1003 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1003 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1003 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1003 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1003 [] = {0xFF01,636,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1003 [] = {0xFF01,643,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1003 [] = {0xFF01,636,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1003 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1003 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_30_1003 [] = {0xFF01,630,0xFFFF};
static const EIF_TYPE_INDEX egt_31_1003 [] = {0xFF01,1583,0xFF01,0xFFF9,1,840,0xFF01,1038,0xFFFF};
static const EIF_TYPE_INDEX egt_32_1003 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_33_1003 [] = {0xFF01,988,0xFFFF};
static const EIF_TYPE_INDEX egt_34_1003 [] = {0xFF01,1031,0xFFFF};
static const EIF_TYPE_INDEX egt_35_1003 [] = {0xFF01,989,0xFFFF};
static const EIF_TYPE_INDEX egt_36_1003 [] = {0xFF01,1583,0xFF01,0xFFF9,1,840,0xFF01,994,0xFFFF};


static const struct desc_info desc_1003[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1003), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1003), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1003), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24205, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1003), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1003), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1003), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1003), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1003), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1003), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1003), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1003), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1003), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24213, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07D5 /*1002*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1003), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 24214, 0},
	{EIF_GENERIC(NULL), 24215, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24200, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24201, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1003), 24925, 4},
	{EIF_GENERIC(NULL), 24203, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24926, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24917, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24204, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24914, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1003), 24207, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 24208, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24209, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24210, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24211, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x080F /*1031*/), 24921, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1003), 24518, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1003), 24519, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1003), 24520, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24521, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24522, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24523, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 24524, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0739 /*924*/), 24525, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24594, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24596, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16005, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16007, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24599, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24600, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1003), 24925, 4},
	{EIF_GENERIC(egt_19_1003), 4231, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1003), 4232, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1003), 4233, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1003), 4234, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1003), 4235, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1003), 4236, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1003), 4237, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1003), 4238, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1003), 4239, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1003), 4240, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1003), 4241, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_1003), 4242, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_1003), 4243, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_1003), 4244, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_1003), 24920, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_1003), 24922, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_1003), 24923, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24924, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24895, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24896, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24897, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24898, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0785 /*962*/), 24899, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0785 /*962*/), 24900, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0739 /*924*/), 24901, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24902, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24903, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24904, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24905, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24906, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24907, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24908, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24909, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24910, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24911, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24912, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24913, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24916, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24927, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24928, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_1003), 24929, 0xFFFFFFFF},
};
void Init1003(void)
{
	IDSC(desc_1003, 0, 1002);
	IDSC(desc_1003 + 1, 1, 1002);
	IDSC(desc_1003 + 32, 1593, 1002);
	IDSC(desc_1003 + 47, 162, 1002);
	IDSC(desc_1003 + 56, 1640, 1002);
	IDSC(desc_1003 + 59, 590, 1002);
	IDSC(desc_1003 + 62, 1524, 1002);
	IDSC(desc_1003 + 64, 1643, 1002);
	IDSC(desc_1003 + 79, 446, 1002);
	IDSC(desc_1003 + 103, 1466, 1002);
}


#ifdef __cplusplus
}
#endif
